--- ORIGINALS/quota.c	Tue Jun 19 12:11:52 2007
+++ ./quota.c	Tue Jul 31 16:37:27 2007
@@ -1,5 +1,11 @@
 /* Copyright (C) 2005 Timo Sirainen */
 
+/* FORCE_NONEMPTY_QUOTAROOT_NAME */
+#include <pwd.h>
+#include <sys/types.h>
+#include <unistd.h>
+/* FORCE_NONEMPTY_QUOTAROOT_NAME */
+
 #include "lib.h"
 #include "array.h"
 #include "hash.h"
@@ -180,7 +186,16 @@
 		/* create a new quota root for the storage */
 		struct quota_root *root;
 
-		root = quota_root_init(setups[0], ""); /* FIXME: name? */
+/* FORCE_NONEMPTY_QUOTAROOT_NAME */
+	        {
+		    struct passwd *pw;
+		    if ((pw = getpwuid(getuid())) == NULL) {
+			root = quota_root_init(setups[0], "user"); /* FIXME: name?*/
+		    } else {
+			root = quota_root_init(setups[0], pw->pw_name);
+		    }
+		}
+/* FORCE_NONEMPTY_QUOTAROOT_NAME */
 		found = quota_mail_storage_add_root(storage, root);
 		i_assert(found);
 	}
